body {
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--color-white);
    padding-bottom: 5rem;
    gap: 2.5rem;
}

main {
    flex: 1;
    width: 48.5rem;
    margin: 0 auto;
    background-color: var(--color-white);
    /* border: 1px solid var(--color-gray-100); */
    /* border-radius: 8px; */
}

.post-detail {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;}

.post-detail h2 {
    font: var(--font-display-l);
    margin-bottom: 3rem
}

.post-info {
    display: flex;
    justify-content: flex-start;
    gap: 1rem;
    font: var(--font-bold-s);
    color: var(--color-gray-200);
    border-top: 1px solid var(--color-gray-100);
    border-bottom: 1px solid var(--color-gray-100);
}

.post-content{
    padding: 1rem 0 1rem 0;
    border-bottom: 1px solid var(--color-gray-200);
}

.post-content img {
    width: 100%;
    height: auto;
    object-fit: cover;
}

.post-content p {
    font: var(--font-body-r);
    color: var(--color-black);
    line-height: 2;
}

.post-detail-button {
    display: flex;
    justify-content: flex-end;
}

.post-detail-button-group{
    display: flex;
    gap: 1.5rem;
}

.comments {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.comments h3 {
    margin-top: 2rem;
    /* margin-bottom: 3rem; */
    font: var(--font-bold-r);
    color: var(--color-gray-200);
}

/* .comment {
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--color-gray-100);
} */

.comment {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding-bottom: 1rem;
    border-bottom: 1px solid var(--color-gray-100);
}

.comment-body {
    display: flex;
    flex-direction: column;
}

.comment-user {
    font: var(--font-bold-s);
    color: var(--color-primary);
}

.comment-content {
    font: var(--font-body-r);
    color: var(--color-black);
}

.comment-date {
    font: var(--font-body-r);
    color: var(--color-gray-200);
}

.comment-form {
    margin-top: 30px;
}

.comment-form form {
    display: flex;
    flex-direction:column;
    gap: 0.625rem;
    padding: 1.25rem;
    border: 1px solid var(--color-gray-100);
    border-radius: 0.5rem;
}

.comment-form label {
    font: var(--font-bold-s);
    color: var(--color-gray-300);
}

.comment-form input {
    display: flex;
    font: var(--font-body-r);
    color: var(--color-gray-200);
    border: none;
    outline: none;
}

.comment-form-submit {
    display: flex;
    justify-content: flex-end;
}

.comment-button-group {
    /* display: flex;
    flex-direction: column; */
    margin-top: 0.5rem;
    margin-left: 2rem;
    /* gap: 1rem; */
}

.comment-button-group button{
    color: var(--color-gray-200);
    border: none;
    background: none;
    padding: 0.5rem;
    cursor: pointer;
    font: var(--font-bold-s);
    transition: background-color 0.3s ease;
}

.comment-button-group button:hover {
    background-color: var(--color-gray-100);
    border-radius: 0.2rem;
}

.pagination {
    display: flex;
    justify-content: space-between;
    margin-top: 2rem;
}

.pagination-left-group {
    display: flex;
    gap: 1.5rem;
}

.back {
    text-align: right;
    margin-top: 20px;
}

.back a {
    text-decoration: none;
    color: #007bff;
}

.back a:hover {
    text-decoration: underline;
}